sudo group users not added to libvirtd group on install

Bug #1124127 reported by Marc Deslauriers on 2013-02-13
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libvirt (Ubuntu)
High
Unassigned
Precise
High
Serge Hallyn
Quantal
High
Unassigned
Raring
High
Unassigned

Bug Description

===============================
1. Impact: when libvirt is installed, sudo group members are not placed into group libvirtd.
2. Development fix: sudo members are added to group libvirtd.
3. Stable fix: same as development fix.
4. Test case: install a new precise system; make sure at least one user is in group sudo; install libvirt-bin; check for sudo group members to be in group libvirtd.
5. Regression potential: If done wrongly, users who should not be in group libvirtd could be placed in the group.
===============================

In precise, admin users are added to the "sudo" group, and not the "admin" group like it used to be the case.

The libvirt-bin.postinst file contains:

    # Add each admin user to the libvirtd group
    for u in $(grep "^admin:" /etc/group | sed -e "s/^.*://" -e "s/,/ /g"); do
        adduser "$u" libvirtd >/dev/null || true
    done

This needs to be modified to add the "sudo" group also, while probably retaining the "admin" group for people who have upgraded from older releases.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: libvirt-bin 0.9.13-0ubuntu12.2
ProcVersionSignature: Ubuntu 3.5.0-24.37-generic 3.5.7.4
Uname: Linux 3.5.0-24-generic x86_64
ApportVersion: 2.6.1-0ubuntu10
Architecture: amd64
Date: Wed Feb 13 08:29:59 2013
InstallationDate: Installed on 2012-11-13 (91 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
SourcePackage: libvirt
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.dnsmasq.d.libvirt.bin: [deleted]

Marc Deslauriers (mdeslaur) wrote :
Robie Basak (racb) wrote :

Thanks Marc. Looks like this is still present in Raring. Setting Importance to High as this presumably affects just about everyone using libvirt directly. I'll leave it to Serge to bump it down if he disagrees.

Changed in libvirt (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in libvirt (Ubuntu Precise):
status: New → Triaged
Changed in libvirt (Ubuntu Quantal):
status: New → Triaged
importance: Undecided → High
Changed in libvirt (Ubuntu Precise):
importance: Undecided → High
Changed in libvirt (Ubuntu Raring):
assignee: nobody → Serge Hallyn (serge-hallyn)
Serge Hallyn (serge-hallyn) wrote :

(I will SRU this for precise and quantal after the next precise release in a few days)

Marc Deslauriers (mdeslaur) wrote :

FYI, People who have upgraded from pre-precise will be in the admin group, and not the new sudo group...you should probably handle both in the postinst...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvirt - 1.0.2-0ubuntu4

---------------
libvirt (1.0.2-0ubuntu4) raring; urgency=low

  * Update Readme.Debian
    - we use libvirtd, not libvirt group (LP: #1095140)
    - we add users from sudo, not admin group, to libvirtd.
  * libvirt-bin.postinst: put users from sudo, not admin group, into group
    libvirtd. (LP: #1124127)
 -- Serge Hallyn <email address hidden> Wed, 13 Feb 2013 09:47:58 -0600

Changed in libvirt (Ubuntu Raring):
status: Triaged → Fix Released
Serge Hallyn (serge-hallyn) wrote :

@Marc

good point, thanks. Re-opened until that is addressed.

Changed in libvirt (Ubuntu Raring):
status: Fix Released → Triaged
assignee: Serge Hallyn (serge-hallyn) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvirt - 1.0.2-0ubuntu7

---------------
libvirt (1.0.2-0ubuntu7) raring; urgency=low

  * libvirt-bin.postinst: also put admin group members into the libvirtd
    group, to support systems installed before precise. (LP: #1124127)
  * libvirt-bin.postinst: use getent group instead of grep /etc/group
  * rules: pass path to collie to enable sheepdog backend (LP: #1129107)
  * control, rules: enable building against libaudit, which is in main.
 -- Adam Conrad <email address hidden> Wed, 20 Feb 2013 15:50:47 -0700

Changed in libvirt (Ubuntu Raring):
status: Triaged → Fix Released
Changed in libvirt (Ubuntu Precise):
assignee: nobody → Serge Hallyn (serge-hallyn)
status: Triaged → In Progress
description: updated

Hello Marc, or anyone else affected,

Accepted libvirt into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libvirt/0.9.8-2ubuntu17.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libvirt (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Serge Hallyn (serge-hallyn) wrote :

verified in precise.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvirt - 0.9.8-2ubuntu17.8

---------------
libvirt (0.9.8-2ubuntu17.8) precise-proposed; urgency=low

  [ Adam Conrad ]
  * libvirt-bin.postinst: also put admin group members into the libvirtd
    group, to support systems installed before precise. (LP: #1124127)
  * libvirt-bin.postinst: use getent group instead of grep /etc/group

  [ Serge Hallyn ]
  * Update README.Debian:
    - we use libvirtd, not libvirt group (LP: #1095140)
    - we add users from sudo, not admin group, to libvirtd.
  * Handle two usb devices with same vendor/id (LP: #1082213)
    - ubuntu/qemu-Keep-list-of-USB-devices-attached-to-domains
    - ubuntu/usb-create-functions-to-search-usb-device
    - ubuntu/qemu-call-usb-search-function-for-hostdev

  [ Andres Lagar-Cavilla ]
  * Add RESUME event listener to qemu monitor (LP: #1097824)
    - ubuntu/handle_resume.patch

  [ Kirill Zaborsky ]
  * Add proper handling for EINTR signal (LP: #1092826)
    - ubuntu/fix-poll.patch
 -- Serge Hallyn <email address hidden> Thu, 21 Feb 2013 08:38:35 -0600

Changed in libvirt (Ubuntu Precise):
status: Fix Committed → Fix Released
Ryan Beisner (1chb1n) wrote :

Can those who have worked this bug also have a look at bug 1304008?:

'user not added to libvirtd group with iso trusty 'virtual machine host' installation method'
https://bugs.launchpad.net/ubuntu/+source/libvirt/+bug/1304008

Similar issue, but limited to the Trusty ISO 'Virtual Machine Host' installation method.

Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in libvirt (Ubuntu Quantal):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers